2025-10-23 13:09:34,472 - INFO - ya.test - pytest_runtest_setup: ####################################################################################################
2025-10-23 13:09:34,472 - INFO - ya.test - pytest_runtest_setup: test_tpch[7]
2025-10-23 13:09:34,473 - INFO - ya.test - pytest_runtest_setup: ####################################################################################################
2025-10-23 13:09:34,474 - INFO - ya.test - pytest_runtest_setup: Test setup
2025-10-23 13:09:34,485 - DEBUG - ya.test - _get_command_output_file: Command out will be placed to ydbd.out.23
2025-10-23 13:09:34,488 - DEBUG - ya.test - _get_command_output_file: Command err will be placed to ydbd.err.23
2025-10-23 13:09:34,489 - DEBUG - ya.test - execute: Executing '['/home/runner/.ya/build/build_root/9bm4/0029e5/ydb/apps/ydbd/ydbd', 'server', '--help']' in 'None' (waiting)
2025-10-23 13:09:34,491 - DEBUG - ya.test - execute: Command pid: 2776245
2025-10-23 13:09:35,183 - DEBUG - ya.test - _save_outputs: Command (pid 2776245) rc: 0
2025-10-23 13:09:35,183 - DEBUG - ya.test - _save_outputs: Command (pid 2776245) elapsed time (sec): 0.6901977062225342
2025-10-23 13:09:35,184 - DEBUG - ya.test - _save_outputs: Command (pid 2776245) idrss: 0
2025-10-23 13:09:35,184 - DEBUG - ya.test - _save_outputs: Command (pid 2776245) inblock: 0
2025-10-23 13:09:35,184 - DEBUG - ya.test - _save_outputs: Command (pid 2776245) isrss: 0
2025-10-23 13:09:35,185 - DEBUG - ya.test - _save_outputs: Command (pid 2776245) ixrss: 0
2025-10-23 13:09:35,185 - DEBUG - ya.test - _save_outputs: Command (pid 2776245) majflt: 0
2025-10-23 13:09:35,185 - DEBUG - ya.test - _save_outputs: Command (pid 2776245) maxrss: 761288
2025-10-23 13:09:35,185 - DEBUG - ya.test - _save_outputs: Command (pid 2776245) minflt: 46049
2025-10-23 13:09:35,186 - DEBUG - ya.test - _save_outputs: Command (pid 2776245) msgrcv: 0
2025-10-23 13:09:35,186 - DEBUG - ya.test - _save_outputs: Command (pid 2776245) msgsnd: 0
2025-10-23 13:09:35,186 - DEBUG - ya.test - _save_outputs: Command (pid 2776245) nivcsw: 1
2025-10-23 13:09:35,186 - DEBUG - ya.test - _save_outputs: Command (pid 2776245) nsignals: 0
2025-10-23 13:09:35,187 - DEBUG - ya.test - _save_outputs: Command (pid 2776245) nswap: 0
2025-10-23 13:09:35,187 - DEBUG - ya.test - _save_outputs: Command (pid 2776245) nvcsw: 15
2025-10-23 13:09:35,187 - DEBUG - ya.test - _save_outputs: Command (pid 2776245) oublock: 24
2025-10-23 13:09:35,187 - DEBUG - ya.test - _save_outputs: Command (pid 2776245) stime: 0.202434
2025-10-23 13:09:35,188 - DEBUG - ya.test - _save_outputs: Command (pid 2776245) utime: 0.443385
2025-10-23 13:09:35,188 - DEBUG - ya.test - _save_outputs: Command (pid 2776245) wtime: 0.692
2025-10-23 13:09:35,188 - DEBUG - ya.test - _save_outputs: Command (pid 2776245) output:
Usage: ydbd [global options...] server [options...]

Description: Execute YDB server

Global options:
  {-k|--token}, {-s|--server}, {-t|--time}, {-o|--progress}, --ca-file, --client-cert-file, --client-cert-key-file, --client-cert-key-password-file, {-f|--token-file}, --profile, --user, --password-file, --no-password
  To get full description of these options run 'ydbd --help'.

Options:
  {-h|--help}               Print usage, -hh for detailed help
  --breakpad-minidumps-path PATH
                            Path for minidumps generated by internal breakpad
  --breakpad-minidumps-script SCRIPT
                            Script for process minidumps generated by internal breakpad
  --cluster-name [STR]      which cluster this node belongs to (default: "unknown")
  --log-level [1-7]         default logging level (default: 4)
  --log-sampling-level [1-7]
                            sample logs equal to or above this level (default: 7)
  --log-sampling-rate [0,4294967295]
                            log only each Nth message with priority matching sampling level; 0 turns log sampling off (default: 0)
  --log-format [full|short|json]
                            log format to use; short skips the priority and timestamp (default: "full")
  --syslog                  send to syslog instead of stderr (default: 0)
  --syslog-service-tag NAME unique tag for syslog
  --log-file-name NAME      file name for log backend
  --tcp                     start tcp interconnect (default: 0)
  {-n|--node} [NUM|static]  Node ID or 'static' to auto-detect using naming file and ic-port.
  --node-broker ADDR        node broker address host:port
  --node-broker-port PORT   node broker port (hosts from naming file are used)
  --node-broker-use-tls PORT
                            use tls for node broker (hosts from naming file are used)
  --node-address ADDR       address for dynamic node
  --bridge-pile-name PILE   pile name for bridged mode
  --node-host NAME          hostname for dynamic node
  --node-resolve-host NAME  resolve hostname for dynamic node
  --node-domain NAME        domain for dynamic node to register in
  --ic-port NUM             interconnect port
  --sqs-port NUM            sqs port
  --tenant NAME             add binding for Local service to specified tenant, might be one of {'/<root>', '/<root>/<path_to_user>'}
  --mon-port [NUM]          Monitoring port
  --mon-address [ADDR]      Monitoring address
  --mon-cert [PATH]         Monitoring certificate (https)
  --mon-threads NUM         Monitoring http server threads
  --suppress-version-check  Suppress version compatibility checking via IC (default: 0)
  --grpc-port PORT          enable gRPC server on port
  --grpcs-port PORT         enable gRPC SSL server on port
  --grpc-public-host HOST   set public gRPC host for discovery
  --grpc-public-port PORT   set public gRPC port for discovery
  --grpcs-public-port PORT  set public gRPC SSL port for discovery
  --kafka-port [PORT]       enable kafka proxy to listen on port
  --pgwire-address ADDR     set host for listen postgres protocol
  --pgwire-port [PORT]      set port for listen postgres protocol
  --grpc-public-address-v4 ADDR
                            set public ipv4 address for discovery
  --grpc-public-address-v6 ADDR
                            set public ipv6 address for discovery
  --grpc-public-target-name-override HOST
                            set public hostname override for TLS in discovery
  {-r|--restarts-count-file} [PATH]
                            State for restarts monitoring counter,
                            use empty string to disable (default: "")
  --compile-inflight-limit [NUM]
                            Limit on parallel programs compilation
  --udf VAL                 Load shared library with UDF by given path
  --udfs-dir VAL            Load all shared libraries with UDFs found in given directory
  --node-kind NAME          Kind of the node (affects list of services activated allowed values are {'ydb', 'yq'} )
  --node-type NAME          Type of the node
  --cert PATH               Path to client certificate file (PEM) for interconnect
  --grpc-cert PATH          Path to client certificate file (PEM) for grpc
  --ic-cert PATH            Path to client certificate file (PEM) for interconnect
  --key PATH                Path to private key file (PEM) for interconnect
  --grpc-key PATH           Path to private key file (PEM) for grpc
  --ic-key PATH             Path to private key file (PEM) for interconnect
  --ca PATH                 Path to certificate authority file (PEM) for interconnect
  --grpc-ca PATH            Path to certificate authority file (PEM) for grpc
  --ic-ca PATH              Path to certificate authority file (PEM) for interconnect
  --data-center NAME        data center name (used to describe dynamic node location)
  --module NAME             module name (used to describe dynamic node location)
  --rack NAME               rack name (used to describe dynamic node location)
  --body NUM                body name (used to describe dynamic node location)
  --yaml-config [PATH]      Yaml config
  --config-dir PATH         Directory to store Yaml config
  --tiny-mode               Start in a tiny mode (default: 0)
  --workload NAME           Workload to be served by this node, allowed values are 'hybrid', 'analytical', 'operational'
  --seed-nodes PATH         Path to seed nodes configuration file
  --mbus                    Start MessageBus proxy (default: 0)
  --mbus-port PORT          MessageBus proxy port
  --mbus-trace-path PATH    Path for trace files
  --proxy ADDR              Bind to proxy(-ies)
  --mbus-total-timeout MILLISECONDS default: 300000
  --mbus-connect-timeout MILLISECONDS default: 15000
  --mbus-send-timeout MILLISECONDS default: 0
  --mbus-send-threshold BYTES default: 10240
  --mbus-max-in-flight COUNT default: 16508248
  --mbus-max-in-flight-by-size BYTES default: 16904445952
  --mbus-per-con-max-in-flight COUNT default: 0
  --mbus-per-con-max-in-flight-by-size BYTES default: 0
  --mbus-default-buffer-size BYTES default: 10240
  --mbus-max-buffer-size BYTES default: 1048576
  --mbus-max-message-size BYTES default: 27262976
  --mbus-socket-recv-buffer-size BYTES default: 0
  --mbus-socket-send-buffer-size BYTES default: 0
  --mbus-socket-tos [0x00, 0xFF] 
  --mbus-tcp-cork BOOL      default: 0
  --mbus-cork SECONDS       default: 0
  --mbus-on-message-in-pool BOOL default: 1
  --mbus-on-reply-in-pool BOOL default: 1
  --mbus-worker-count COUNT default: 16
  --label KEY=VALUE         labels for this node
  --alloc-file [PATH]       Allocator config file
  --audit-file [PATH]       File with audit config
  --auth-file [PATH]        authorization configuration
  --auth-token-file [PATH]  authorization token configuration
  --bootstrap-file [PATH]   Bootstrap config file
  --bs-file [PATH]          blobstorage config file
  --channels-file [PATH]    tablet channel profile config file
  --cms-file [PATH]         CMS config file
  --domains-file [PATH]     domain config file
  --drivemodel-file [PATH]  drive model config file
  --dyn-nodes-file [PATH]   Dynamic nodes config file
  --feature-flags-file [PATH]
                            File with feature flags to turn new features on/off
  --fq-file [PATH]          Federated Query config file
  --grpc-file [PATH]        gRPC config file
  --http-proxy-file [PATH]  Http proxy config file
  --ic-file [PATH]          interconnect config file
  --incrhuge-file [PATH]    incremental huge blob keeper config file
  --key-file [PATH]         tenant encryption key configuration
  --kqp-file [PATH]         Kikimr Query Processor config file
  --log-file [PATH]         log config file
  --memorylog-file [PATH]   set buffer size for memory log
  --metering-file [PATH]    File with metering config
  --naming-file [PATH]      static nameservice config file
  --netclassifier-file [PATH]
                            NetClassifier config file
  --pdisk-key-file [PATH]   pdisk encryption key configuration
  --pq-file [PATH]          PersQueue config file
  --pqcd-file [PATH]        PersQueue cluster discovery config file
  --public-http-file [PATH] Public HTTP config file
  --rb-file [PATH]          File with resource broker customizations
  --sqs-file [PATH]         SQS config file
  --sys-file [PATH]         actor system config file (use dummy config by default)
  --vdisk-file [PATH]       vdisk kind config file

Free args: min: 0, max: unlimited
  PATH  path to protobuf file; files are merged in order in which they are enlisted

2025-10-23 13:09:35,189 - DEBUG - ya.test - _save_outputs: Command (pid 2776245) errors:

2025-10-23 13:09:35,189 - INFO - ydb.tests.library.harness.kikimr_runner - __make_run_command: CFG_DIR_PATH="/home/runner/.ya/build/build_root/9bm4/0029e5/ydb/tests/functional/tpc/medium/tpch/test-results/py3test/testing_out_stuff/test_s1/testing_out_stuff/test_s1.py.TestTpchS1.test_tpch.1/cluster/kikimr_configs"
2025-10-23 13:09:35,190 - INFO - ydb.tests.library.harness.kikimr_runner - __make_run_command: Final command: /home/runner/.ya/build/build_root/9bm4/0029e5/ydb/apps/ydbd/ydbd server --suppress-version-check --yaml-config=$CFG_DIR_PATH/config.yaml --node=1 --log-file-name=/home/runner/.ya/build/build_root/9bm4/0029e5/ydb/tests/functional/tpc/medium/tpch/test-results/py3test/testing_out_stuff/test_s1/testing_out_stuff/test_s1.py.TestTpchS1.test_tpch.1/cluster/node_1/logfile_7w5063cn.log --grpc-port=20948 --mon-port=26213 --ic-port=61711 --module=1
2025-10-23 13:09:35,190 - INFO - ydb.tests.library.harness.kikimr_runner - start: Started node localhost:20948/1
2025-10-23 13:09:35,201 - DEBUG - ya.test - _get_command_output_file: Command out will be placed to ydbd.out.24
2025-10-23 13:09:35,203 - DEBUG - ya.test - _get_command_output_file: Command err will be placed to ydbd.err.24
2025-10-23 13:09:35,204 - DEBUG - ya.test - execute: Executing '['/home/runner/.ya/build/build_root/9bm4/0029e5/ydb/apps/ydbd/ydbd', '-V']' in 'None' (waiting)
2025-10-23 13:09:35,205 - DEBUG - ya.test - execute: Command pid: 2776327
2025-10-23 13:09:35,940 - DEBUG - ya.test - _save_outputs: Command (pid 2776327) rc: 0
2025-10-23 13:09:35,940 - DEBUG - ya.test - _save_outputs: Command (pid 2776327) elapsed time (sec): 0.7332742214202881
2025-10-23 13:09:35,941 - DEBUG - ya.test - _save_outputs: Command (pid 2776327) idrss: 0
2025-10-23 13:09:35,941 - DEBUG - ya.test - _save_outputs: Command (pid 2776327) inblock: 0
2025-10-23 13:09:35,941 - DEBUG - ya.test - _save_outputs: Command (pid 2776327) isrss: 0
2025-10-23 13:09:35,942 - DEBUG - ya.test - _save_outputs: Command (pid 2776327) ixrss: 0
2025-10-23 13:09:35,942 - DEBUG - ya.test - _save_outputs: Command (pid 2776327) majflt: 0
2025-10-23 13:09:35,943 - DEBUG - ya.test - _save_outputs: Command (pid 2776327) maxrss: 761288
2025-10-23 13:09:35,943 - DEBUG - ya.test - _save_outputs: Command (pid 2776327) minflt: 45137
2025-10-23 13:09:35,944 - DEBUG - ya.test - _save_outputs: Command (pid 2776327) msgrcv: 0
2025-10-23 13:09:35,945 - DEBUG - ya.test - _save_outputs: Command (pid 2776327) msgsnd: 0
2025-10-23 13:09:35,945 - DEBUG - ya.test - _save_outputs: Command (pid 2776327) nivcsw: 3
2025-10-23 13:09:35,945 - DEBUG - ya.test - _save_outputs: Command (pid 2776327) nsignals: 0
2025-10-23 13:09:35,946 - DEBUG - ya.test - _save_outputs: Command (pid 2776327) nswap: 0
2025-10-23 13:09:35,947 - DEBUG - ya.test - _save_outputs: Command (pid 2776327) nvcsw: 14
2025-10-23 13:09:35,947 - DEBUG - ya.test - _save_outputs: Command (pid 2776327) oublock: 8
2025-10-23 13:09:35,948 - DEBUG - ya.test - _save_outputs: Command (pid 2776327) stime: 0.15176699999999999
2025-10-23 13:09:35,949 - DEBUG - ya.test - _save_outputs: Command (pid 2776327) utime: 0.5369389999999999
2025-10-23 13:09:35,949 - DEBUG - ya.test - _save_outputs: Command (pid 2776327) wtime: 0.735
2025-10-23 13:09:35,950 - DEBUG - ya.test - _save_outputs: Command (pid 2776327) output:
Git info:
    Commit: 004e0fa21af18961c6ad09d835605b8ccbf49f23
    Branch: 
    Author: Copilot <198982749+Copilot@users.noreply.github.com>
    Summary: Merge 4ed873ec88b0980dec2f6af6075d8b730deac421 into c20376156d0f46937ff9f9a9e0cf998d1767a582

Other info:
    Build by: runner
    Top src dir: /home/runner/actions_runner/_work/ydb/ydb
    Top build dir: /home/runner/.ya/build
    Hostname: ghrun-6mxvg3lfr4
    Host information: 
        Linux ghrun-6mxvg3lfr4 5.15.0-157-generic #167-Ubuntu SMP Wed Sep 17 21:35:53 UTC 2025 x86_64

    
Build info:
    Compiler: /home/runner/.ya/tools/v4/9944335923/bin/clang++
    Compiler version: 
        clang version 20.1.8
        Target: x86_64-unknown-linux-gnu
        Thread model: posix
        InstalledDir: /home/runner/.ya/tools/v4/9944335923/bin
    Compile flags: -Xclang -fdebug-compilation-dir -Xclang /tmp -pipe -m64 -O3 -gline-tables-only -fno-common -ffunction-sections -fdata-sections -fsized-deallocation -fexceptions -fuse-init-array -fcolor-diagnostics -faligned-allocation -Werror -Wall -Wextra -Wno-parentheses -Wno-implicit-const-int-float-conversion -Wno-unknown-warning-option -D_THREAD_SAFE -D_PTHREADS -D_REENTRANT -D_LARGEFILE_SOURCE -D__STDC_CONSTANT_MACROS -D__STDC_FORMAT_MACROS -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -D_YNDX_LIBUNWIND_ENABLE_EXCEPTION_BACKTRACE -D__LONG_LONG_SUPPORTED -fno-omit-frame-pointer -Wno-unknown-argument -DNDEBUG -Wno-array-parameter -Wno-deprecate-lax-vec-conv-all -Wno-unqualified-std-cast-call -Wno-unused-but-set-parameter -Wno-implicit-function-declaration -Wno-int-conversion -Wno-incompatible-function-pointer-types -Wno-address-of-packed-member -Wno-deprecated-this-capture -Wno-missing-designated-field-initializers -Wno-format -Wno-vla-cxx-extension -Wno-invalid-offsetof -Wno-alias-template-in-declaration-name -Wno-cast-function-type-mismatch -Wno-explicit-specialization-storage-class -Wno-extraneous-template-head -Wno-missing-template-arg-list-after-template-kw -Wno-nontrivial-memcall -Wno-strict-primary-template-shadow -DCATBOOST_OPENSOURCE=yes -fsanitize=address -Daddress_sanitizer_enabled -fno-omit-frame-pointer -fsanitize-blacklist=/home/runner/actions_runner/_work/ydb/ydb/build/sanitize-blacklist.txt -fno-sanitize-link-runtime -msse2 -msse3 -mssse3 -msse4.1 -msse4.2 -mpopcnt -mcx16 -DNDEBUG -Wno-array-parameter -Wno-deprecate-lax-vec-conv-all -Wno-unqualified-std-cast-call -Wno-unused-but-set-parameter -Wno-implicit-function-declaration -Wno-int-conversion -Wno-incompatible-function-pointer-types -Wno-address-of-packed-member -Wno-deprecated-this-capture -Wno-missing-designated-field-initializers -Wno-format -Wno-vla-cxx-extension -Wno-invalid-offsetof -Wno-alias-template-in-declaration-name -Wno-cast-function-type-mismatch -Wno-explicit-specialization-storage-class -Wno-extraneous-template-head -Wno-missing-template-arg-list-after-template-kw -Wno-nontrivial-memcall -Wno-strict-primary-template-shadow -std=c++20 -Wimport-preprocessor-directive-pedantic -Woverloaded-virtual -Wno-ambiguous-reversed-operator -Wno-defaulted-function-deleted -Wno-deprecated-anon-enum-enum-conversion -Wno-deprecated-enum-enum-conversion -Wno-deprecated-enum-float-conversion -Wno-deprecated-volatile -Wno-pessimizing-move -Wno-undefined-var-template -nostdinc++ -DCATBOOST_OPENSOURCE=yes -nostdinc++

2025-10-23 13:09:35,953 - DEBUG - ya.test - _save_outputs: Command (pid 2776327) errors:

2025-10-23 13:09:35,954 - INFO - ydb.tests.library.harness.kikimr_runner - start: Node 1 version:
Git info:
    Commit: 004e0fa21af18961c6ad09d835605b8ccbf49f23
    Branch: 
    Author: Copilot <198982749+Copilot@users.noreply.github.com>
    Summary: Merge 4ed873ec88b0980dec2f6af6075d8b730deac421 into c20376156d0f46937ff9f9a9e0cf998d1767a582
2025-10-23 13:09:35,955 - INFO - ydb.tests.library.harness.kikimr_runner - __make_run_command: CFG_DIR_PATH="/home/runner/.ya/build/build_root/9bm4/0029e5/ydb/tests/functional/tpc/medium/tpch/test-results/py3test/testing_out_stuff/test_s1/testing_out_stuff/test_s1.py.TestTpchS1.test_tpch.1/cluster/kikimr_configs"
2025-10-23 13:09:35,956 - INFO - ydb.tests.library.harness.kikimr_runner - __make_run_command: Final command: /home/runner/.ya/build/build_root/9bm4/0029e5/ydb/apps/ydbd/ydbd server --suppress-version-check --yaml-config=$CFG_DIR_PATH/config.yaml --node-broker=localhost:20948 --tenant=/local/test_db --log-file-name=/home/runner/.ya/build/build_root/9bm4/0029e5/ydb/tests/functional/tpc/medium/tpch/test-results/py3test/testing_out_stuff/test_s1/testing_out_stuff/test_s1.py.TestTpchS1.test_tpch.1/cluster/slot_1/logfile_jb_0t13i.log --grpc-port=12514 --mon-port=61065 --ic-port=13348
2025-10-23 13:09:35,956 - INFO - ydb.tests.library.harness.kikimr_runner - start: Started node localhost:12514/1
2025-10-23 13:09:35,959 - DEBUG - ya.test - _get_command_output_file: Command out will be placed to ydbd.out.25
2025-10-23 13:09:35,960 - DEBUG - ya.test - _get_command_output_file: Command err will be placed to ydbd.err.25
2025-10-23 13:09:35,961 - DEBUG - ya.test - execute: Executing '['/home/runner/.ya/build/build_root/9bm4/0029e5/ydb/apps/ydbd/ydbd', '-V']' in 'None' (waiting)
2025-10-23 13:09:35,962 - DEBUG - ya.test - execute: Command pid: 2776396
2025-10-23 13:09:36,726 - DEBUG - ya.test - _save_outputs: Command (pid 2776396) rc: 0
2025-10-23 13:09:36,727 - DEBUG - ya.test - _save_outputs: Command (pid 2776396) elapsed time (sec): 0.7625522613525391
2025-10-23 13:09:36,727 - DEBUG - ya.test - _save_outputs: Command (pid 2776396) idrss: 0
2025-10-23 13:09:36,728 - DEBUG - ya.test - _save_outputs: Command (pid 2776396) inblock: 0
2025-10-23 13:09:36,728 - DEBUG - ya.test - _save_outputs: Command (pid 2776396) isrss: 0
2025-10-23 13:09:36,728 - DEBUG - ya.test - _save_outputs: Command (pid 2776396) ixrss: 0
2025-10-23 13:09:36,729 - DEBUG - ya.test - _save_outputs: Command (pid 2776396) majflt: 0
2025-10-23 13:09:36,729 - DEBUG - ya.test - _save_outputs: Command (pid 2776396) maxrss: 761288
2025-10-23 13:09:36,729 - DEBUG - ya.test - _save_outputs: Command (pid 2776396) minflt: 45160
2025-10-23 13:09:36,730 - DEBUG - ya.test - _save_outputs: Command (pid 2776396) msgrcv: 0
2025-10-23 13:09:36,730 - DEBUG - ya.test - _save_outputs: Command (pid 2776396) msgsnd: 0
2025-10-23 13:09:36,730 - DEBUG - ya.test - _save_outputs: Command (pid 2776396) nivcsw: 1
2025-10-23 13:09:36,731 - DEBUG - ya.test - _save_outputs: Command (pid 2776396) nsignals: 0
2025-10-23 13:09:36,731 - DEBUG - ya.test - _save_outputs: Command (pid 2776396) nswap: 0
2025-10-23 13:09:36,731 - DEBUG - ya.test - _save_outputs: Command (pid 2776396) nvcsw: 14
2025-10-23 13:09:36,732 - DEBUG - ya.test - _save_outputs: Command (pid 2776396) oublock: 8
2025-10-23 13:09:36,732 - DEBUG - ya.test - _save_outputs: Command (pid 2776396) stime: 0.231841
2025-10-23 13:09:36,732 - DEBUG - ya.test - _save_outputs: Command (pid 2776396) utime: 0.486106
2025-10-23 13:09:36,733 - DEBUG - ya.test - _save_outputs: Command (pid 2776396) wtime: 0.764
2025-10-23 13:09:36,733 - DEBUG - ya.test - _save_outputs: Command (pid 2776396) output:
Git info:
    Commit: 004e0fa21af18961c6ad09d835605b8ccbf49f23
    Branch: 
    Author: Copilot <198982749+Copilot@users.noreply.github.com>
    Summary: Merge 4ed873ec88b0980dec2f6af6075d8b730deac421 into c20376156d0f46937ff9f9a9e0cf998d1767a582

Other info:
    Build by: runner
    Top src dir: /home/runner/actions_runner/_work/ydb/ydb
    Top build dir: /home/runner/.ya/build
    Hostname: ghrun-6mxvg3lfr4
    Host information: 
        Linux ghrun-6mxvg3lfr4 5.15.0-157-generic #167-Ubuntu SMP Wed Sep 17 21:35:53 UTC 2025 x86_64

    
Build info:
    Compiler: /home/runner/.ya/tools/v4/9944335923/bin/clang++
    Compiler version: 
        clang version 20.1.8
        Target: x86_64-unknown-linux-gnu
        Thread model: posix
        InstalledDir: /home/runner/.ya/tools/v4/9944335923/bin
    Compile flags: -Xclang -fdebug-compilation-dir -Xclang /tmp -pipe -m64 -O3 -gline-tables-only -fno-common -ffunction-sections -fdata-sections -fsized-deallocation -fexceptions -fuse-init-array -fcolor-diagnostics -faligned-allocation -Werror -Wall -Wextra -Wno-parentheses -Wno-implicit-const-int-float-conversion -Wno-unknown-warning-option -D_THREAD_SAFE -D_PTHREADS -D_REENTRANT -D_LARGEFILE_SOURCE -D__STDC_CONSTANT_MACROS -D__STDC_FORMAT_MACROS -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -D_YNDX_LIBUNWIND_ENABLE_EXCEPTION_BACKTRACE -D__LONG_LONG_SUPPORTED -fno-omit-frame-pointer -Wno-unknown-argument -DNDEBUG -Wno-array-parameter -Wno-deprecate-lax-vec-conv-all -Wno-unqualified-std-cast-call -Wno-unused-but-set-parameter -Wno-implicit-function-declaration -Wno-int-conversion -Wno-incompatible-function-pointer-types -Wno-address-of-packed-member -Wno-deprecated-this-capture -Wno-missing-designated-field-initializers -Wno-format -Wno-vla-cxx-extension -Wno-invalid-offsetof -Wno-alias-template-in-declaration-name -Wno-cast-function-type-mismatch -Wno-explicit-specialization-storage-class -Wno-extraneous-template-head -Wno-missing-template-arg-list-after-template-kw -Wno-nontrivial-memcall -Wno-strict-primary-template-shadow -DCATBOOST_OPENSOURCE=yes -fsanitize=address -Daddress_sanitizer_enabled -fno-omit-frame-pointer -fsanitize-blacklist=/home/runner/actions_runner/_work/ydb/ydb/build/sanitize-blacklist.txt -fno-sanitize-link-runtime -msse2 -msse3 -mssse3 -msse4.1 -msse4.2 -mpopcnt -mcx16 -DNDEBUG -Wno-array-parameter -Wno-deprecate-lax-vec-conv-all -Wno-unqualified-std-cast-call -Wno-unused-but-set-parameter -Wno-implicit-function-declaration -Wno-int-conversion -Wno-incompatible-function-pointer-types -Wno-address-of-packed-member -Wno-deprecated-this-capture -Wno-missing-designated-field-initializers -Wno-format -Wno-vla-cxx-extension -Wno-invalid-offsetof -Wno-alias-template-in-declaration-name -Wno-cast-function-type-mismatch -Wno-explicit-specialization-storage-class -Wno-extraneous-template-head -Wno-missing-template-arg-list-after-template-kw -Wno-nontrivial-memcall -Wno-strict-primary-template-shadow -std=c++20 -Wimport-preprocessor-directive-pedantic -Woverloaded-virtual -Wno-ambiguous-reversed-operator -Wno-defaulted-function-deleted -Wno-deprecated-anon-enum-enum-conversion -Wno-deprecated-enum-enum-conversion -Wno-deprecated-enum-float-conversion -Wno-deprecated-volatile -Wno-pessimizing-move -Wno-undefined-var-template -nostdinc++ -DCATBOOST_OPENSOURCE=yes -nostdinc++

2025-10-23 13:09:36,734 - DEBUG - ya.test - _save_outputs: Command (pid 2776396) errors:

2025-10-23 13:09:36,734 - INFO - ydb.tests.library.harness.kikimr_runner - start: Node 1 version:
Git info:
    Commit: 004e0fa21af18961c6ad09d835605b8ccbf49f23
    Branch: 
    Author: Copilot <198982749+Copilot@users.noreply.github.com>
    Summary: Merge 4ed873ec88b0980dec2f6af6075d8b730deac421 into c20376156d0f46937ff9f9a9e0cf998d1767a582
2025-10-23 13:09:36,746 - INFO - ya.test - pytest_runtest_call: Test call (class_name: test_s1.py::TestTpchS1, test_name: test_tpch[7])
2025-10-23 13:09:36,750 - DEBUG - urllib3.connectionpool - _new_conn: Starting new HTTP connection (1): localhost:26213
2025-10-23 13:09:36,754 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:26213 "GET /viewer/json/nodes?database=/local/test_db HTTP/1.1" 307 0
2025-10-23 13:09:36,765 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:26213 "GET /node/50000/viewer/json/nodes?database=/local/test_db HTTP/1.1" 200 554
2025-10-23 13:09:36,773 - DEBUG - urllib3.connectionpool - _new_conn: Starting new HTTP connection (1): localhost:26213
2025-10-23 13:09:36,777 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:26213 "GET /viewer/json/nodes?database=/local/test_db HTTP/1.1" 307 0
2025-10-23 13:09:36,788 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:26213 "GET /node/50000/viewer/json/nodes?database=/local/test_db HTTP/1.1" 200 554
2025-10-23 13:09:36,790 - DEBUG - root - check_if_ydb_alive: Expected nodes count: 1
2025-10-23 13:09:36,791 - INFO - root - get_tables: get_tables /local/test_db/olap_yatests/tpch/s1
2025-10-23 13:09:36,791 - INFO - root - _describe_path_impl: describe /local/test_db/olap_yatests/tpch/s1
2025-10-23 13:09:36,792 - DEBUG - ydb.connection - _prepare_call: RpcState(DescribePath, d6257450-0997-460a-8684-f3501de9ea90, ghrun-6mxvg3lfr4.auto.internal:12514): creating call state
2025-10-23 13:09:36,792 - DEBUG - ydb.connection - _log_request: RpcState(DescribePath, d6257450-0997-460a-8684-f3501de9ea90, ghrun-6mxvg3lfr4.auto.internal:12514): request = { operation_params { operation_timeout { seconds: 600 } cancel_after { seconds: 600 } } path: "/local/test_db/olap_yatests/tpch/s1" }
2025-10-23 13:09:36,800 - DEBUG - ydb.connection - _log_response: RpcState(DescribePath, d6257450-0997-460a-8684-f3501de9ea90, ghrun-6mxvg3lfr4.auto.internal:12514): response = { operation { ready: true status: SUCCESS result { [type.googleapis.com/Ydb.Scheme.DescribePathResult] { self { name: "s1" owner: "root@builtin" type: DIRECTORY effective_permissions { subject: "USERS" permission_names: "ydb.database.connect" } effective_permissions { subject: "METADATA-READERS" permission_names: "ydb.generic.list" } effective_permissions { subject: "DATA-READERS" permission_names: "ydb.granular.select_row" } effective_permissions { subject: "DATA-WRITERS" permission_names: "ydb.tables.modify" } effective_permissions { subject: "DDL-ADMINS" permission_names: "ydb.granular.create_directory" permission_names: "ydb.granular.write_attributes" permission_names: "ydb.granular.create_table" permission_names: "ydb.granular.remove_schema" permission_names: "ydb.granular.create_queue" permission_names: "ydb.granular.alter_schema" } effective_permissions { subject: "ACCESS-ADMINS" permission_names: "ydb.access.grant" } effective_permissions { subject: "DATABASE-ADMINS" permission_names: "ydb.generic.manage" } created_at { plan_step: 1761224619020 tx_id: 281474976720659 } } } } } }
2025-10-23 13:09:36,801 - INFO - root - list_directory: list /local/test_db/olap_yatests/tpch/s1
2025-10-23 13:09:36,802 - DEBUG - ydb.connection - _prepare_call: RpcState(ListDirectory, a6abd3c3-36c9-4e87-a666-a785028a9f73, ghrun-6mxvg3lfr4.auto.internal:12514): creating call state
2025-10-23 13:09:36,802 - DEBUG - ydb.connection - _log_request: RpcState(ListDirectory, a6abd3c3-36c9-4e87-a666-a785028a9f73, ghrun-6mxvg3lfr4.auto.internal:12514): request = { operation_params { operation_timeout { seconds: 600 } cancel_after { seconds: 600 } } path: "/local/test_db/olap_yatests/tpch/s1" }
2025-10-23 13:09:36,810 - DEBUG - ydb.connection - _log_response: RpcState(ListDirectory, a6abd3c3-36c9-4e87-a666-a785028a9f73, ghrun-6mxvg3lfr4.auto.internal:12514): response = { operation { ready: true status: SUCCESS result { [type.googleapis.com/Ydb.Scheme.ListDirectoryResult] { self { name: "s1" owner: "root@builtin" type: DIRECTORY effective_permissions { subject: "USERS" permission_names: "ydb.database.connect" } effective_permissions { subject: "METADATA-READERS" permission_names: "ydb.generic.list" } effective_permissions { subject: "DATA-READERS" permission_names: "ydb.granular.select_row" } effective_permissions { subject: "DATA-WRITERS" permission_names: "ydb.tables.modify" } effective_permissions { subject: "DDL-ADMINS" permission_names: "ydb.granular.create_directory" permission_names: "ydb.granular.write_attributes" permission_names: "ydb.granular.create_table" permission_names: "ydb.granular.remove_schema" permission_names: "ydb.granular.create_queue" permission_names: "ydb.granular.alter_schema" } effective_permissions { subject: "ACCESS-ADMINS" permission_names: "ydb.access.grant" } effective_permissions { subject: "DATABASE-ADMINS" permission_names: "ydb.generic.manage" } created_at { plan_step: 1761224619020 tx_id: 281474976720659 } } children { name: "customer" owner: "root@builtin" type: COLUMN_TABLE created_at { plan_step: 1761224619020 tx_id: 281474976720659 } } children { name: "lineitem" owner: "root@builtin" type: COLUMN_TABLE created_at { plan_step: 1761224620960 tx_id: 281474976720660 } } children { name: "nation" owner: "root@builtin" type: COLUMN_TABLE created_at { plan_step: 1761224621430 tx_id: 281474976720661 } } children { name: "orders" owner: "root@builtin" type: COLUMN_TABLE created_at { plan_step: 1761224623450 tx_id: 281474976720662 } } children { name: "part" owner: "root@builtin" type: COLUMN_TABLE created_at { plan_step: 1761224625580 tx_id: 281474976720663 } } children { name: "partsupp" owner: "root@builtin" type: COLUMN_TABLE created_at { plan_step: 1761224627290 tx_id: 281474976720664 } } children { name: "region" owner: "root@builtin" type: COLUMN_TABLE created_at { plan_step: 1761224627630 tx_id: 281474976720665 } } children { name: "supplier" owner: "root@builtin" type: COLUMN_TABLE created_at { plan_step: 1761224629170 tx_id: 281474976720666 } } } } } }
2025-10-23 13:09:36,814 - DEBUG - urllib3.connectionpool - _new_conn: Starting new HTTP connection (1): localhost:26213
2025-10-23 13:09:36,818 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:26213 "GET /viewer/json/nodes?database=/local/test_db&path=/local/test_db/olap_yatests/tpch/s1/customer&tablets=true HTTP/1.1" 307 0
2025-10-23 13:09:36,829 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:26213 "GET /node/50000/viewer/json/nodes?database=/local/test_db&path=/local/test_db/olap_yatests/tpch/s1/customer&tablets=true HTTP/1.1" 200 581
2025-10-23 13:09:36,832 - INFO - root - check_if_ydb_alive: Table /local/test_db/olap_yatests/tpch/s1/customer balance: 64-64 shards.
2025-10-23 13:09:36,835 - DEBUG - urllib3.connectionpool - _new_conn: Starting new HTTP connection (1): localhost:26213
2025-10-23 13:09:36,839 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:26213 "GET /viewer/json/nodes?database=/local/test_db&path=/local/test_db/olap_yatests/tpch/s1/lineitem&tablets=true HTTP/1.1" 307 0
2025-10-23 13:09:36,852 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:26213 "GET /node/50000/viewer/json/nodes?database=/local/test_db&path=/local/test_db/olap_yatests/tpch/s1/lineitem&tablets=true HTTP/1.1" 200 581
2025-10-23 13:09:36,855 - INFO - root - check_if_ydb_alive: Table /local/test_db/olap_yatests/tpch/s1/lineitem balance: 64-64 shards.
2025-10-23 13:09:36,858 - DEBUG - urllib3.connectionpool - _new_conn: Starting new HTTP connection (1): localhost:26213
2025-10-23 13:09:36,862 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:26213 "GET /viewer/json/nodes?database=/local/test_db&path=/local/test_db/olap_yatests/tpch/s1/nation&tablets=true HTTP/1.1" 307 0
2025-10-23 13:09:36,875 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:26213 "GET /node/50000/viewer/json/nodes?database=/local/test_db&path=/local/test_db/olap_yatests/tpch/s1/nation&tablets=true HTTP/1.1" 200 581
2025-10-23 13:09:36,878 - INFO - root - check_if_ydb_alive: Table /local/test_db/olap_yatests/tpch/s1/nation balance: 1-1 shards.
2025-10-23 13:09:36,882 - DEBUG - urllib3.connectionpool - _new_conn: Starting new HTTP connection (1): localhost:26213
2025-10-23 13:09:36,885 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:26213 "GET /viewer/json/nodes?database=/local/test_db&path=/local/test_db/olap_yatests/tpch/s1/orders&tablets=true HTTP/1.1" 307 0
2025-10-23 13:09:36,898 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:26213 "GET /node/50000/viewer/json/nodes?database=/local/test_db&path=/local/test_db/olap_yatests/tpch/s1/orders&tablets=true HTTP/1.1" 200 581
2025-10-23 13:09:36,900 - INFO - root - check_if_ydb_alive: Table /local/test_db/olap_yatests/tpch/s1/orders balance: 64-64 shards.
2025-10-23 13:09:36,904 - DEBUG - urllib3.connectionpool - _new_conn: Starting new HTTP connection (1): localhost:26213
2025-10-23 13:09:36,907 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:26213 "GET /viewer/json/nodes?database=/local/test_db&path=/local/test_db/olap_yatests/tpch/s1/part&tablets=true HTTP/1.1" 307 0
2025-10-23 13:09:36,920 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:26213 "GET /node/50000/viewer/json/nodes?database=/local/test_db&path=/local/test_db/olap_yatests/tpch/s1/part&tablets=true HTTP/1.1" 200 581
2025-10-23 13:09:36,923 - INFO - root - check_if_ydb_alive: Table /local/test_db/olap_yatests/tpch/s1/part balance: 64-64 shards.
2025-10-23 13:09:36,926 - DEBUG - urllib3.connectionpool - _new_conn: Starting new HTTP connection (1): localhost:26213
2025-10-23 13:09:36,930 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:26213 "GET /viewer/json/nodes?database=/local/test_db&path=/local/test_db/olap_yatests/tpch/s1/partsupp&tablets=true HTTP/1.1" 307 0
2025-10-23 13:09:36,942 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:26213 "GET /node/50000/viewer/json/nodes?database=/local/test_db&path=/local/test_db/olap_yatests/tpch/s1/partsupp&tablets=true HTTP/1.1" 200 581
2025-10-23 13:09:36,945 - INFO - root - check_if_ydb_alive: Table /local/test_db/olap_yatests/tpch/s1/partsupp balance: 64-64 shards.
2025-10-23 13:09:36,950 - DEBUG - urllib3.connectionpool - _new_conn: Starting new HTTP connection (1): localhost:26213
2025-10-23 13:09:36,954 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:26213 "GET /viewer/json/nodes?database=/local/test_db&path=/local/test_db/olap_yatests/tpch/s1/region&tablets=true HTTP/1.1" 307 0
2025-10-23 13:09:36,968 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:26213 "GET /node/50000/viewer/json/nodes?database=/local/test_db&path=/local/test_db/olap_yatests/tpch/s1/region&tablets=true HTTP/1.1" 200 581
2025-10-23 13:09:36,971 - INFO - root - check_if_ydb_alive: Table /local/test_db/olap_yatests/tpch/s1/region balance: 1-1 shards.
2025-10-23 13:09:36,975 - DEBUG - urllib3.connectionpool - _new_conn: Starting new HTTP connection (1): localhost:26213
2025-10-23 13:09:36,979 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:26213 "GET /viewer/json/nodes?database=/local/test_db&path=/local/test_db/olap_yatests/tpch/s1/supplier&tablets=true HTTP/1.1" 307 0
2025-10-23 13:09:36,992 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:26213 "GET /node/50000/viewer/json/nodes?database=/local/test_db&path=/local/test_db/olap_yatests/tpch/s1/supplier&tablets=true HTTP/1.1" 200 581
2025-10-23 13:09:36,994 - INFO - root - check_if_ydb_alive: Table /local/test_db/olap_yatests/tpch/s1/supplier balance: 64-64 shards.
2025-10-23 13:09:36,995 - DEBUG - ydb.connection - _prepare_call: RpcState(StreamExecuteScanQuery, 5a1351f1-bb49-4162-a470-f9ddad9b82b2, ghrun-6mxvg3lfr4.auto.internal:12514): creating call state
2025-10-23 13:09:36,996 - DEBUG - ydb.connection - _log_request: RpcState(StreamExecuteScanQuery, 5a1351f1-bb49-4162-a470-f9ddad9b82b2, ghrun-6mxvg3lfr4.auto.internal:12514): request = { query { yql_text: "select 1" } mode: MODE_EXEC collect_stats: STATS_COLLECTION_NONE }
2025-10-23 13:09:36,998 - DEBUG - ydb.connection - _log_response: RpcState(StreamExecuteScanQuery, 5a1351f1-bb49-4162-a470-f9ddad9b82b2, ghrun-6mxvg3lfr4.auto.internal:12514): response = { <_MultiThreadedRendezvous object> }
2025-10-23 13:09:37,100 - DEBUG - ya.test - get_binary: Binary was found by /home/runner/.ya/build/build_root/9bm4/0029e5/ydb/apps/ydb/ydb
2025-10-23 13:09:37,102 - DEBUG - ya.test - _get_command_output_file: Command out will be placed to ydb.out.7
2025-10-23 13:09:37,103 - DEBUG - ya.test - _get_command_output_file: Command err will be placed to ydb.err.7
2025-10-23 13:09:37,104 - DEBUG - ya.test - execute: Executing '['/home/runner/.ya/build/build_root/9bm4/0029e5/ydb/apps/ydb/ydb', '-e', 'grpc://localhost:20948', '-d', '/local/test_db', 'workload', 'tpch', '--path', 'olap_yatests/tpch/s1', 'run', '--json', 'Query07.stats.json', '--output', 'Query07.result', '--include', 'Query07', '--iterations', '1', '--plan', 'Query07.plan', '--global-timeout', '1800.0s', '--verbose', '--check-canonical', '--scale', '1']' in 'None' (waiting)
2025-10-23 13:09:37,105 - DEBUG - ya.test - execute: Command pid: 2776471
2025-10-23 13:09:58,857 - DEBUG - ydb.resolver.DiscoveryEndpointsResolver - context_resolve: Preparing initial endpoint to resolve endpoints
2025-10-23 13:09:58,858 - DEBUG - ydb.connection - channel_factory: Channel options: [('grpc.max_receive_message_length', 64000000), ('grpc.max_send_message_length', 64000000), ('grpc.primary_user_agent', 'python-library'), ('grpc.lb_policy_name', 'round_robin'), ('grpc.keepalive_time_ms', 1250), ('grpc.keepalive_timeout_ms', 10000), ('grpc.http2.max_pings_without_data', 0), ('grpc.keepalive_permit_without_calls', 0)]
2025-10-23 13:09:58,871 - DEBUG - ydb.resolver.DiscoveryEndpointsResolver - context_resolve: Resolving endpoints for database local/test_db
2025-10-23 13:09:58,872 - DEBUG - ydb.connection - _prepare_call: RpcState(ListEndpoints, 7a061f1b-baaf-4685-8240-b4bade6c0afd, localhost:20948): creating call state
2025-10-23 13:09:58,873 - DEBUG - ydb.connection - _log_request: RpcState(ListEndpoints, 7a061f1b-baaf-4685-8240-b4bade6c0afd, localhost:20948): request = { database: "local/test_db" }
2025-10-23 13:09:58,878 - DEBUG - ydb.connection - _log_response: RpcState(ListEndpoints, 7a061f1b-baaf-4685-8240-b4bade6c0afd, localhost:20948): response = { operation { ready: true status: SUCCESS result { [type.googleapis.com/Ydb.Discovery.ListEndpointsResult] { endpoints { address: "ghrun-6mxvg3lfr4.auto.internal" port: 12514 service: "legacy" service: "tablet_service" service: "yql" service: "discovery" service: "cms" service: "locking" service: "kesus" service: "pq" service: "pqcd" service: "pqv1" service: "topic" service: "datastreams" service: "scripting" service: "clickhouse_internal" service: "rate_limiter" service: "analytics" service: "export" service: "import" service: "yq" service: "keyvalue" service: "monitoring" service: "auth" service: "query_service" service: "view" node_id: 50000 } self_location: "1" } } } }
2025-10-23 13:09:58,879 - DEBUG - ydb.resolver.DiscoveryEndpointsResolver - _add_debug_details: Resolved endpoints for database local/test_db: DiscoveryResult <self_location: 1, endpoints [<Endpoint ghrun-6mxvg3lfr4.auto.internal:12514, location , ssl: False>]>
2025-10-23 13:09:58,880 - DEBUG - ydb.connection - close: Closing channel for endpoint localhost:20948
2025-10-23 13:09:59,542 - DEBUG - ya.test - _save_outputs: Command (pid 2776471) rc: 0
2025-10-23 13:09:59,543 - DEBUG - ya.test - _save_outputs: Command (pid 2776471) elapsed time (sec): 22.436094522476196
2025-10-23 13:09:59,543 - DEBUG - ya.test - _save_outputs: Command (pid 2776471) idrss: 0
2025-10-23 13:09:59,543 - DEBUG - ya.test - _save_outputs: Command (pid 2776471) inblock: 0
2025-10-23 13:09:59,544 - DEBUG - ya.test - _save_outputs: Command (pid 2776471) isrss: 0
2025-10-23 13:09:59,544 - DEBUG - ya.test - _save_outputs: Command (pid 2776471) ixrss: 0
2025-10-23 13:09:59,544 - DEBUG - ya.test - _save_outputs: Command (pid 2776471) majflt: 0
2025-10-23 13:09:59,544 - DEBUG - ya.test - _save_outputs: Command (pid 2776471) maxrss: 761288
2025-10-23 13:09:59,545 - DEBUG - ya.test - _save_outputs: Command (pid 2776471) minflt: 127732
2025-10-23 13:09:59,545 - DEBUG - ya.test - _save_outputs: Command (pid 2776471) msgrcv: 0
2025-10-23 13:09:59,545 - DEBUG - ya.test - _save_outputs: Command (pid 2776471) msgsnd: 0
2025-10-23 13:09:59,545 - DEBUG - ya.test - _save_outputs: Command (pid 2776471) nivcsw: 101
2025-10-23 13:09:59,546 - DEBUG - ya.test - _save_outputs: Command (pid 2776471) nsignals: 0
2025-10-23 13:09:59,546 - DEBUG - ya.test - _save_outputs: Command (pid 2776471) nswap: 0
2025-10-23 13:09:59,546 - DEBUG - ya.test - _save_outputs: Command (pid 2776471) nvcsw: 5871
2025-10-23 13:09:59,547 - DEBUG - ya.test - _save_outputs: Command (pid 2776471) oublock: 11368
2025-10-23 13:09:59,547 - DEBUG - ya.test - _save_outputs: Command (pid 2776471) stime: 0.455931
2025-10-23 13:09:59,547 - DEBUG - ya.test - _save_outputs: Command (pid 2776471) utime: 0.912941
2025-10-23 13:09:59,547 - DEBUG - ya.test - _save_outputs: Command (pid 2776471) wtime: 22.438
2025-10-23 13:09:59,548 - DEBUG - ya.test - _save_outputs: Command (pid 2776471) output:
Query07:
Query text:
$z1_12 = 1;
$n = select n_name, n_nationkey from `olap_yatests/tpch/s1/nation` as n
    where n_name = 'FRANCE' or n_name = 'GERMANY';
$l = select 
    l_orderkey, l_suppkey,
    DateTime::GetYear(cast(l_shipdate as timestamp)) as l_year,
    l_extendedprice * ($z1_12 - l_discount) as volume
from 
    `olap_yatests/tpch/s1/lineitem` as l
where 
    l.l_shipdate between Date('1995-01-01') and Date('1996-12-31');
$j1 = select 
    n_name as supp_nation,
    s_suppkey
from 
    `olap_yatests/tpch/s1/supplier` as supplier
join 
    $n as n1
on 
    supplier.s_nationkey = n1.n_nationkey;
$j2 = select
    n_name as cust_nation,
    c_custkey
from 
    `olap_yatests/tpch/s1/customer` as customer
join 
    $n as n2
on 
    customer.c_nationkey = n2.n_nationkey;
$j3 = select
    cust_nation, o_orderkey
from 
    `olap_yatests/tpch/s1/orders` as orders
join 
    $j2 as customer
on 
    orders.o_custkey = customer.c_custkey;
$j4 = select
    cust_nation,
    l_orderkey, l_suppkey,
    l_year,
    volume
from 
    $l as lineitem
join 
    $j3 as orders
on 
    lineitem.l_orderkey = orders.o_orderkey;
$j5 = select
    supp_nation, cust_nation,
    l_year, volume
from 
    $j4 as lineitem
join 
    $j1 as supplier
on 
    lineitem.l_suppkey = supplier.s_suppkey
where (supp_nation = 'FRANCE' and cust_nation = 'GERMANY')
    OR (supp_nation = 'GERMANY' and cust_nation = 'FRANCE');
select
    supp_nation,
    cust_nation,
    l_year, 
    sum(volume) as revenue
from
    $j5 as shipping
group by
    supp_nation,
    cust_nation,
    l_year
order by
    supp_nation,
    cust_nation,
    l_year;

	iteration 0:	ok	17.865192s seconds

Results for 1 iterations
┌─────────┬──────────┬─────────┬─────────┬─────────┬─────────┬───────────┬─────────┬─────────┬─────────┬─────────┬────────────────┬────────────────┬────────────────┬───────────┬──────────────┬────────────┬────────────┐
│ Query # │ ColdTime │ Min     │ Max     │ Mean    │ Median  │ UnixBench │ Std     │ RttMin  │ RttMax  │ RttAvg  │ CompilationMin │ CompilationMax │ CompilationAvg │ GrossTime │ SuccessCount │ FailsCount │ DiffsCount │
├─────────┼──────────┼─────────┼─────────┼─────────┼─────────┼───────────┼─────────┼─────────┼─────────┼─────────┼────────────────┼────────────────┼────────────────┼───────────┼──────────────┼────────────┼────────────┤
│ Query07 │  17.277  │  17.277 │  17.277 │  17.277 │  17.276 │  17.277   │   0.001 │   0.589 │   0.589 │   0.589 │   4.167        │   4.167        │   4.167        │  17.865   │ 1            │            │            │
├─────────┼──────────┼─────────┼─────────┼─────────┼─────────┼───────────┼─────────┼─────────┼─────────┼─────────┼────────────────┼────────────────┼────────────────┼───────────┼──────────────┼────────────┼────────────┤
│ Sum     │  17.277  │  17.277 │  17.277 │  17.277 │  17.276 │  17.277   │   0.000 │   0.589 │   0.589 │   0.589 │   4.167        │   4.167        │   4.168        │  21.614   │ 1            │            │            │
├─────────┼──────────┼─────────┼─────────┼─────────┼─────────┼───────────┼─────────┼─────────┼─────────┼─────────┼────────────────┼────────────────┼────────────────┼───────────┼──────────────┼────────────┼────────────┤
│ Avg     │  17.277  │  17.277 │  17.277 │  17.277 │  17.276 │  17.277   │   0.000 │   0.589 │   0.589 │   0.589 │   4.167        │   4.167        │   4.168        │  21.614   │ 1            │            │            │
├─────────┼──────────┼─────────┼─────────┼─────────┼─────────┼───────────┼─────────┼─────────┼─────────┼─────────┼────────────────┼────────────────┼────────────────┼───────────┼──────────────┼────────────┼────────────┤
│ GAvg    │  17.277  │  17.277 │  17.277 │  17.277 │  17.276 │  17.277   │   0.000 │   0.589 │   0.589 │   0.001 │   4.167        │   4.167        │   0.001        │   0.000   │ 1            │            │            │
└─────────┴──────────┴─────────┴─────────┴─────────┴─────────┴───────────┴─────────┴─────────┴─────────┴─────────┴────────────────┴────────────────┴────────────────┴───────────┴──────────────┴────────────┴────────────┘

Results saved to Query07.result
Json report saved to Query07.stats.json

2025-10-23 13:09:59,548 - DEBUG - ya.test - _save_outputs: Command (pid 2776471) errors:

[K
[K
2025-10-23 13:09:59,549 - DEBUG - ya.test - verify_sanitize_errors: No sanitizer errors found
2025-10-23 13:09:59,658 - DEBUG - urllib3.connectionpool - _new_conn: Starting new HTTP connection (1): localhost:26213
2025-10-23 13:09:59,662 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:26213 "GET /viewer/json/nodes?database=/local/test_db HTTP/1.1" 307 0
2025-10-23 13:09:59,673 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:26213 "GET /node/50000/viewer/json/nodes?database=/local/test_db HTTP/1.1" 200 551
2025-10-23 13:09:59,679 - DEBUG - urllib3.connectionpool - _new_conn: Starting new HTTP connection (1): localhost:26213
2025-10-23 13:09:59,685 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:26213 "GET /viewer/json/nodes HTTP/1.1" 200 806
2025-10-23 13:09:59,690 - DEBUG - urllib3.connectionpool - _new_conn: Starting new HTTP connection (1): localhost:26213
2025-10-23 13:09:59,693 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:26213 "GET /viewer/json/nodes?database=/local/test_db HTTP/1.1" 307 0
2025-10-23 13:09:59,702 - DEBUG - urllib3.connectionpool - _make_request: http://localhost:26213 "GET /node/50000/viewer/json/nodes?database=/local/test_db HTTP/1.1" 200 551
2025-10-23 13:09:59,705 - INFO - root - __create_iterations_table: All nodes before filtering: [('13348@ghrun-6mxvg3lfr4.auto.internal', <Role.UNKNOWN: 0>)]
2025-10-23 13:09:59,705 - INFO - root - __create_iterations_table: Auto-discovered hosts (all roles): 1 hosts from 1 total nodes
2025-10-23 13:09:59,705 - INFO - root - __create_iterations_table: Host to nodes mapping: [('ghrun-6mxvg3lfr4.auto.internal', 1)]
2025-10-23 13:09:59,706 - INFO - root - allure_test_description: iterations_table created, length: 514
2025-10-23 13:09:59,706 - INFO - root - allure_test_description: Added iterations table to description HTML
2025-10-23 13:09:59,714 - INFO - ya.test - pytest_runtest_teardown: Test teardown
